Bug 2181 - rpcclient "netshareenum 502"
rpcclient "netshareenum 502"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.9
All Linux
: P3 regression
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:38 UTC by paul
Modified: 2005-08-24 10:18 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paul 2004-12-21 17:38:24 UTC
I want to see the acls of the share windows nt.

Smbcacls can't do it .

i write this command  :

rpcclient  10.0.0.7 -U 'administrateur%test'  -c "netshareenum 502"

On the samba-3.0.6 i have the list share but i haven't acls.

On samba 3.0.9  i have :

rpcclient  10.0.0.2 -U 'administrateur%a'  -c "netshareenum 502"
session request to 10.0.0.2 failed (Called name not present)
netname: NETLOGON
        remark: Partage de serveur d'accÚs
        path:   C:\WINNT\system32\Repl\Import\Scripts
        password:
DACL
        ACL     Num ACEs:       1       revision:       2
        ---
        ACE
                type: ACCESS ALLOWED (0) flags: 0
                Specific bits: 0xa9
                Permissions: 0x1200a9: SYNCHRONIZE_ACCESS READ_CONTROL_ACCESS
                SID: S-1-1-0

Segmentation fault

Can you help me please i want to use samba 3.0.6 and i want to see the acl
of the share.

Actually i can see the acls of the files and directories by smbcacls but
no share .
Comment 1 Gerald (Jerry) Carter 2005-02-17 10:17:50 UTC
please retest against 3.0.11.  Thanks.
Comment 2 Gerald (Jerry) Carter 2005-02-17 10:18:36 UTC
closing awaiting feedback on whwther the bug in fixed in 3.0.11 or not.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.